# Uses of Class
jnr.netdb.Service

## Uses of Service in jnr.netdb

Methods in jnr.netdb that return Service
Modifier and Type
Method
Description
`static final Service`
Service.`getServiceByName(String name, String proto)`
Locates a service by name and protocol.
`static final Service`
Service.`getServiceByPort(int port, String proto)`
Locates a service by port and protocol.
Methods in jnr.netdb that return types with arguments of type Service
Modifier and Type
Method
Description
`static final Collection<Service>`
Service.`getAllServices()`
Returns a list of all services.